Subject: Re: Re: [PATCH v2] config: preserve config file permissions on edits

From: Marius Storm-Olsen <[email-masked]>
Date: Mon, 19 May 2014 10:59:24 -0500

On 5/19/2014 2:44 AM, Erik Faye-Lund wrote:
> On Mon, May 19, 2014 at 9:13 AM, Johannes Sixt <[email-masked]>
> wrote:
>> I'm not proficient enough to add any ACL fiddling to fchmod that
>> would be required by the above change, whose purpose is to be
>> strict about permissions. Nor am I interested (who the heck is
>> sharing a Windows box anyway? ;-)
>
> Since we use MSVCRT's chmod implementation directly which only
> checks for S_IWRITE,and Get/SetFileAttributes to simply set or clear
> the FILE_ATTRIBUTE_READONLY-flag, perhaps we could do the same
> except using Get/SetFileInformationByHandle instead? That takes us in
> a better direction, IMO. Adding full ACL support seems like a bigger
> project.
>
> If there's no objection, I'll sketch up a patch for that...

IMO, try to stay away from full ACL support, as ACL is slow as hell.
If it's only triggered in edge cases, that's fine, but be sure not to 
add any ACL in the main call-paths as it will surely kill performance.

The major speedup which was done by circumventing MSYS/Cygwin standard 
posix implementations was bypassing much of the ACL slowness.

-- 
.marius

-- 
-- 
*** Please reply-to-all at all times ***
*** (do not pretend to know who is subscribed and who is not) ***
*** Please avoid top-posting. ***
The msysGit Wiki is here: https://github.com/msysgit/msysgit/wiki - Github accounts are free.

You received this message because you are subscribed to the Google
Groups "msysGit" group.
To post to this group, send email to [email-masked]
To unsubscribe from this group, send email to
[email-masked]
For more options, and view previous threads, visit this group at
http://groups.google.com/group/msysgit?hl=en_US?hl=en

--- 
You received this message because you are subscribed to the Google Groups "msysGit" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
For more options, visit https://groups.google.com/d/optout.